ata_get_xlat_func
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_get_xlat_func — check if SCSI to ATA translation is possible

## Synopsis

`ata_xlat_func_t ata_get_xlat_func (` | struct ata_device * | dev,
| u8 | cmd`)`;

## Arguments

`dev`

  ATA device

`cmd`

  SCSI command opcode to consider

## Description

Look up the SCSI command given, and determine whether the SCSI command is to be translated or simulated.

## RETURNS

Pointer to translation function if possible, `NULL` if not.

Prev | Up | Next
ata_scsi_pass_thru | Home | ata_scsi_dump_cdb